/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.triz.trizservice.modeles;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author FORCE TECH
 */
@Entity
@Table(name = "type_tresorie", catalog = "triz_tresorie", schema = "public")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TypeTresorie.findAll", query = "SELECT t FROM TypeTresorie t"),
    @NamedQuery(name = "TypeTresorie.findById", query = "SELECT t FROM TypeTresorie t WHERE t.id = :id"),
    @NamedQuery(name = "TypeTresorie.findByType", query = "SELECT t FROM TypeTresorie t WHERE t.type = :type")})
public class TypeTresorie implements Serializable {

    @Size(max = 255)
    @Column(name = "type")
    private String type;
    @OneToMany(mappedBy = "fkTypeTresorie")
    private List<Tresorie> tresorieList;

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
   

    public TypeTresorie() {
    }

    public TypeTresorie(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    @XmlTransient
    public List<Tresorie> getTresorieList() {
        return tresorieList;
    }

    public void setTresorieList(List<Tresorie> tresorieList) {
        this.tresorieList = tresorieList;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TypeTresorie)) {
            return false;
        }
        TypeTresorie other = (TypeTresorie) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.triz.trizservice.modeles.TypeTresorie[ id=" + id + " ]";
    }


   

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    
}
